=== debian/changelog ===
ghc (8.8.1+dfsg1+is+8.6.5+dfsg1-3) unstable; urgency=medium

  * Switch to python3-sphinx; Closes: #943097

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Mar 2020 21:50:31 -0400

ghc (8.8.1+dfsg1+is+8.6.5+dfsg1-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Enable workaround to avoid memory exhaustation on alpha
  [ Gianfranco Costamagna ]
  * Source-only reupload now that the bootstrap has ended

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Sep 2019 12:06:31 +0200

ghc (8.8.1+dfsg1+is+8.6.5+dfsg1-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Enable workaround to avoid memory exhaustation on m68k and sh4
  [ Gianfranco Costamagna ]
  * 8.8.1+dfsg1-1~exp4 was mistakenly targeted to unstable.
    - use 8.6.5 repacked tarball to fix the issue

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 08:25:57 +0200
