=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ghc
 Section: haskell
 Priority: optional
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>, Clint Adams <clint@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
-  debhelper (>= 10),
+  debhelper-compat (= 12),
   haskell-devscripts-minimal <!cross>,
   devscripts,
   grep-dctrl,
   pkg-config,
-  ghc:native (>= 8.4),
+  ghc:native (>= 8.6),
   libgmp-dev,
-  llvm-6.0 [arm64 armel armhf],
+  llvm-9 [arm64 armel armhf],
   libffi-dev,
   libncurses5-dev,
   python3-sphinx <!cross>,
@@ -29,7 +30,7 @@
 Package: ghc
 Architecture: any
 Depends:
-  llvm-6.0 [arm64 armel armhf],
+  llvm-9 [arm64 armel armhf],
   gcc,
   libgmp-dev,
   libffi-dev,
@@ -52,7 +53,7 @@
 Conflicts: ghc6 (<< 7), ghc-dynamic (<< 7.8)
 Breaks: cabal-install (<< 1.22), haskell-devscripts (<< 0.8.13),
  ghc-doc (<< 7.10), ghc-haddock (<< 7.10), ${conflicting-devs}
-Suggests: perl, ghc-prof, ghc-doc, haskell-doc, llvm-6.0
+Suggests: perl, ghc-prof, ghc-doc, haskell-doc, llvm-9
 Description: The Glasgow Haskell Compilation system
  The Glorious Glasgow Haskell Compilation system (GHC) is a compiler for
  Haskell.
