=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,7 @@
 
 ProjectVersion=$(shell cat VERSION)
 
-GHC=$(firstword $(shell bash -c "type -p ghc"))
-EXTRA_CONFIGURE_FLAGS +=--with-ghc="$(GHC)"
+export GHC=$(firstword $(shell bash -c "type -p ghc"))
 
 DEB_HOOGLE_TXT_DIR = /usr/lib/ghc-doc/hoogle/
 
@@ -56,7 +55,7 @@
 endif
 
 %:
-ifneq (,$(filter s390x, $(DEB_HOST_ARCH)))
+ifneq (,$(filter s390x arm64, $(DEB_HOST_ARCH)))
 	# Build fails with out-of-memory on Ubuntu's s390x builders.
 	# Setting `ggc-min-expand=10` doesn't solve this.
 	# For now, reduce number of parallel jobs.
@@ -92,7 +91,7 @@
 	# See https://gitlab.haskell.org/ghc/ghc/issues/16998
 	patch -p1 < debian/patches/Disable-unboxed-arrays.patch
 endif
-ifneq (,$(filter mips mipsel mips64el s390x, $(DEB_HOST_ARCH)))
+ifneq (,$(filter mips mipsel s390x, $(DEB_HOST_ARCH)))
 	echo "SRC_HC_OPTS     += -optc--param -optcggc-min-expand=10" >> mk/build.mk
 endif
 ifneq (,$(filter mips64el, $(DEB_HOST_ARCH)))
@@ -193,3 +192,4 @@
 	mkdir -p debian/tmp/var/lib/ghc
 	# Old directories for symlink-workaround. Remove once all libraries use new path
 	mv debian/tmp/usr/lib/ghc/package.conf.d \
+	   debian/tmp/var/lib/ghc/
